package cn.com.tenlion.freemarker.pojo.dtos.templateconfig;

import freemarker.cache.StringTemplateLoader;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: TemplateDTO
 * @Description: 模板表
 * @Author: WenG
 * @Date: 2020-05-07 16:44
 * @Version: 1.0
 **/
@ApiModel
public class TemplateConfigDTO {

    @ApiModelProperty(name = "templateConfigId", value = "主键")
    private String templateConfigId;
    @ApiModelProperty(name = "templateCode", value = "模板编码")
    private String templateCode;
    @ApiModelProperty(name = "templateUrl", value = "服务器路径")
    private String templateUrl;
    @ApiModelProperty(name = "templateName", value = "模板名称")
    private String templateName;
    @ApiModelProperty(name = "templateContent", value = "模板内容")
    private String templateContent;
    @ApiModelProperty(name = "templateRootPath", value = "存储根路径")
    private String templateRootPath;
    @ApiModelProperty(name = "templateOrder", value = "模板排序")
    private Double templateOrder;
    @ApiModelProperty(name = "templateFile", value = "模板附件")
    private String templateFile;
    @ApiModelProperty(name = "templateFile", value = "模板引擎对象")
    private StringTemplateLoader stringTemplateLoader;
    @ApiModelProperty(name = "templateAllGenerate", value = "模板批量生成接口")
    private String templateAllGenerate;
    @ApiModelProperty(name = "templateFileType", value = "生成文件类型")
    private String templateFileType;
    @ApiModelProperty(name = "templateMode", value = "访问方式1:Nginx静态访问,2:系统接口访问")
    private String templateMode;
    @ApiModelProperty(name = "templateProject", value = "模板项目")
    private String templateProject;

    public String getTemplateProject() {
        return templateProject == null ? "" : templateProject;
    }

    public void setTemplateProject(String templateProject) {
        this.templateProject = templateProject;
    }

    public String getTemplateMode() {
        return templateMode == null ? "" : templateMode;
    }

    public void setTemplateMode(String templateMode) {
        this.templateMode = templateMode;
    }

    public String getTemplateFileType() {
        return templateFileType == null ? "" : templateFileType;
    }

    public void setTemplateFileType(String templateFileType) {
        this.templateFileType = templateFileType;
    }

    public String getTemplateAllGenerate() {
        return templateAllGenerate == null ? "" : templateAllGenerate;
    }

    public void setTemplateAllGenerate(String templateAllGenerate) {
        this.templateAllGenerate = templateAllGenerate;
    }

    public StringTemplateLoader getStringTemplateLoader() {
        return stringTemplateLoader;
    }

    public void setStringTemplateLoader(StringTemplateLoader stringTemplateLoader) {
        this.stringTemplateLoader = stringTemplateLoader;
    }

    public String getTemplateFile() {
        return templateFile;
    }

    public void setTemplateFile(String templateFile) {
        this.templateFile = templateFile;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getTemplateConfigId() {
        return templateConfigId == null ? "" : templateConfigId;
    }

    public void setTemplateConfigId(String templateConfigId) {
        this.templateConfigId = templateConfigId;
    }

    public String getTemplateCode() {
        return templateCode == null ? "" : templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public String getTemplateUrl() {
        return templateUrl == null ? "" : templateUrl;
    }

    public void setTemplateUrl(String templateUrl) {
        this.templateUrl = templateUrl;
    }

    public String getTemplatName() {
        return templateName == null ? "" : templateName;
    }

    public void setTemplatName(String templateName) {
        this.templateName = templateName;
    }

    public String getTemplateContent() {
        return templateContent == null ? "" : templateContent;
    }

    public void setTemplateContent(String templateContent) {
        this.templateContent = templateContent;
    }

    public String getTemplateRootPath() {
        return templateRootPath == null ? "" : templateRootPath;
    }

    public void setTemplateRootPath(String templateRootPath) {
        this.templateRootPath = templateRootPath;
    }

    public Double getTemplateOrder() {
        return templateOrder == null ? 0D : templateOrder;
    }

    public void setTemplateOrder(Double templateOrder) {
        this.templateOrder = templateOrder;
    }


}
